import sys, string, os, subprocess

os.system("cls")

infile = sys.argv[1]

Ca = "magenta "
Cb = "lime "
Cc = "pink "
Cd = "purple "
Ce = "yellow "
Cf = "orange "
Cg = "maroon "

#Baseline correction using a set of wavenumber points specified in baseline.txt
subprocess.call("hsiproc " + infile + " " + infile + "-base --baseline baseline.txt")

#Create a mask to be used later for PCA
subprocess.call("hsiproc " + infile + "-base mask.bmp --build-mask 1650 0.1")

#Convert to a BIP file. This is generally the fastest file to use, algorithmically.
subprocess.call("hsiproc " + infile + "-base " + infile + "-bip --convert bip")

#sift
subprocess.call("hsiproc " + infile + "-bip " + infile + "-sift --sift mask.bmp")

#Normalize to Amide I
subprocess.call("hsiproc " + infile + "-sift " + infile + "-norm --normalize 1650")

#project onto pre-computed PCs
subprocess.call("hsiproc " + infile + "-norm " + infile + "-pca --project pca.sta 30")

#unsift
subprocess.call("hsiproc " + infile + "-pca " + infile + "-final --unsift mask.bmp")

#classify the entire image
subprocess.call("hsiclass " + infile + "-final " + infile + "-class.bmp " + "--classify classifier.rf --colors " + Ca + Cb + Cc + Cd + Ce + Cf + Cg + "--mask mask.bmp --verbose")